Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/mod_hallo.F90	(revision 5101)
@@ -226,5 +226,5 @@
       Ptr_Request=>a_request%RequestSend(target)
 
-      call New_Hallo(Field,ij,ll,offset,size,Ptr_request)
+      CALL New_Hallo(Field,ij,ll,offset,size,Ptr_request)
       
    end subroutine Register_SendField      
@@ -242,5 +242,5 @@
       Ptr_Request=>a_request%RequestRecv(target)
             
-      call New_Hallo(Field,ij,ll,offset,size,Ptr_request)
+      CALL New_Hallo(Field,ij,ll,offset,size,Ptr_request)
 
       
@@ -276,5 +276,5 @@
         
         if (jje >= jjb) then
-          call Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request) 
+          CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
         
@@ -285,5 +285,5 @@
         
         if (jje >= jjb) then
-          call Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request) 
+          CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
         
@@ -329,5 +329,5 @@
         
         if (jje >= jjb) then
-          call Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request) 
+          CALL Register_SendField(FieldS,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
         
@@ -338,5 +338,5 @@
         
         if (jje >= jjb) then
-          call Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request) 
+          CALL Register_RecvField(FieldR,ij,ll,jjb,jje-jjb+1,i,a_request)
         endif
         
@@ -1193,18 +1193,18 @@
       
       IF (SendUp) THEN
-        call Register_SendField(Field,ij,ll,jj_begin,SUp,MPI_Rank-1,a_request)
+        CALL Register_SendField(Field,ij,ll,jj_begin,SUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (SendDown) THEN
-        call Register_SendField(Field,ij,ll,jj_end-SDown+1,SDown,MPI_Rank+1,a_request)
+        CALL Register_SendField(Field,ij,ll,jj_end-SDown+1,SDown,MPI_Rank+1,a_request)
       ENDIF
     
   
       IF (RecvUp) THEN
-        call Register_RecvField(Field,ij,ll,jj_begin-Rup,RUp,MPI_Rank-1,a_request)
+        CALL Register_RecvField(Field,ij,ll,jj_begin-Rup,RUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (RecvDown) THEN
-        call Register_RecvField(Field,ij,ll,jj_end+1,RDown,MPI_Rank+1,a_request)
+        CALL Register_RecvField(Field,ij,ll,jj_end+1,RDown,MPI_Rank+1,a_request)
       ENDIF
   
@@ -1257,18 +1257,18 @@
       
       IF (SendUp) THEN
-        call Register_SendField(Field,ijnb_u,ll,jj_begin-jjb_u+1,SUp,MPI_Rank-1,a_request)
+        CALL Register_SendField(Field,ijnb_u,ll,jj_begin-jjb_u+1,SUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (SendDown) THEN
-        call Register_SendField(Field,ijnb_u,ll,jj_end-SDown+1-jjb_u+1,SDown,MPI_Rank+1,a_request)
+        CALL Register_SendField(Field,ijnb_u,ll,jj_end-SDown+1-jjb_u+1,SDown,MPI_Rank+1,a_request)
       ENDIF
     
   
       IF (RecvUp) THEN
-        call Register_RecvField(Field,ijnb_u,ll,jj_begin-Rup-jjb_u+1,RUp,MPI_Rank-1,a_request)
+        CALL Register_RecvField(Field,ijnb_u,ll,jj_begin-Rup-jjb_u+1,RUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (RecvDown) THEN
-        call Register_RecvField(Field,ijnb_u,ll,jj_end+1-jjb_u+1,RDown,MPI_Rank+1,a_request)
+        CALL Register_RecvField(Field,ijnb_u,ll,jj_end+1-jjb_u+1,RDown,MPI_Rank+1,a_request)
       ENDIF
   
@@ -1320,18 +1320,18 @@
       
       IF (SendUp) THEN
-        call Register_SendField(Field,ijnb_v,ll,jj_begin-jjb_v+1,SUp,MPI_Rank-1,a_request)
+        CALL Register_SendField(Field,ijnb_v,ll,jj_begin-jjb_v+1,SUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (SendDown) THEN
-        call Register_SendField(Field,ijnb_v,ll,jj_end-SDown+1-jjb_v+1,SDown,MPI_Rank+1,a_request)
+        CALL Register_SendField(Field,ijnb_v,ll,jj_end-SDown+1-jjb_v+1,SDown,MPI_Rank+1,a_request)
       ENDIF
     
   
       IF (RecvUp) THEN
-        call Register_RecvField(Field,ijnb_v,ll,jj_begin-Rup-jjb_v+1,RUp,MPI_Rank-1,a_request)
+        CALL Register_RecvField(Field,ijnb_v,ll,jj_begin-Rup-jjb_v+1,RUp,MPI_Rank-1,a_request)
       ENDIF
   
       IF (RecvDown) THEN
-        call Register_RecvField(Field,ijnb_v,ll,jj_end+1-jjb_v+1,RDown,MPI_Rank+1,a_request)
+        CALL Register_RecvField(Field,ijnb_v,ll,jj_end+1-jjb_v+1,RDown,MPI_Rank+1,a_request)
       ENDIF
   
@@ -1369,5 +1369,5 @@
          if (Req%NbRequest>0) then
        
-          call allocate_buffer(SizeBuffer,Req%Index,Req%pos)
+          CALL allocate_buffer(SizeBuffer,Req%Index,Req%pos)
 
           Pos=Req%Pos
@@ -1393,5 +1393,5 @@
 !$OMP CRITICAL (MPI)
          
-         call MPI_ISEND(Buffer(req%Pos),SizeBuffer,MPI_REAL_LMDZ,rank,a_request%tag+1000*omp_rank,     &
+         CALL MPI_ISEND(Buffer(req%Pos),SizeBuffer,MPI_REAL_LMDZ,rank,a_request%tag+1000*omp_rank,     &
                          COMM_LMDZ,Req%MSG_Request,ierr)
          IF (.NOT.using_mpi) THEN
@@ -1428,5 +1428,5 @@
           
           if (Req%NbRequest>0) then
-          call allocate_buffer(SizeBuffer,Req%Index,Req%Pos)
+          CALL allocate_buffer(SizeBuffer,Req%Index,Req%Pos)
    
           if (SizeBuffer>0) then
@@ -1434,5 +1434,5 @@
 !$OMP CRITICAL (MPI)
 
-             call MPI_IRECV(Buffer(Req%Pos),SizeBuffer,MPI_REAL_LMDZ,rank,a_request%tag+1000*omp_rank,     &
+             CALL MPI_IRECV(Buffer(Req%Pos),SizeBuffer,MPI_REAL_LMDZ,rank,a_request%tag+1000*omp_rank,     &
                            COMM_LMDZ,Req%MSG_Request,ierr)
 
@@ -1494,5 +1494,5 @@
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"en attente"
 !        PRINT *,"No des requetes :",TabRequest(1:NbRequest)
-        call MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
+        CALL MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"complete"
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1525,5 +1525,5 @@
         Req=>a_request%RequestSend(rank)
         if (Req%NbRequest>0) then
-          call deallocate_buffer(Req%Index)
+          CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
         endif
@@ -1533,5 +1533,5 @@
         Req=>a_request%RequestRecv(rank)
         if (Req%NbRequest>0) then
-          call deallocate_buffer(Req%Index)
+          CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
         endif
@@ -1571,5 +1571,5 @@
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"en attente"
 !        PRINT *,"No des requetes :",TabRequest(1:NbRequest)
-         call MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
+         CALL MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"complete"
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1581,5 +1581,5 @@
         Req=>a_request%RequestSend(rank)
         if (Req%NbRequest>0) then
-          call deallocate_buffer(Req%Index)
+          CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
         endif
@@ -1619,5 +1619,5 @@
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"en attente"
 !        PRINT *,"No des requetes :",TabRequest(1:NbRequest)
-         call MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
+         CALL MPI_WAITALL(NbRequest,TabRequest,TabStatus,ierr)
 !        PRINT *,"Process de rang",mpi_rank,"Task : ",omp_rank,"--->",NbRequest,"complete"
 !        PRINT *,"-------------------------------------------------------------------"
@@ -1650,5 +1650,5 @@
         Req=>a_request%RequestRecv(rank)
         if (Req%NbRequest>0) then
-          call deallocate_buffer(Req%Index)
+          CALL deallocate_buffer(Req%Index)
           Req%NbRequest=0 
         endif
@@ -1753,8 +1753,8 @@
      ENDDO
      
-     call register_SwapField(field_glo,field_glo,ip1jmp1,ll,distrib_gather%jj_nb_para,request_gather)
-     call SendRequest(request_gather)
+     CALL register_SwapField(field_glo,field_glo,ip1jmp1,ll,distrib_gather%jj_nb_para,request_gather)
+     CALL SendRequest(request_gather)
 !$OMP BARRIER
-     call WaitRequest(request_gather)       
+     CALL WaitRequest(request_gather)
 !$OMP BARRIER
 
@@ -1781,8 +1781,8 @@
      ENDDO
      
-     call register_SwapField(field_glo,field_glo,ip1jm,ll,distrib_gather%jj_nb_para,request_gather)
-     call SendRequest(request_gather)
+     CALL register_SwapField(field_glo,field_glo,ip1jm,ll,distrib_gather%jj_nb_para,request_gather)
+     CALL SendRequest(request_gather)
 !$OMP BARRIER
-     call WaitRequest(request_gather)       
+     CALL WaitRequest(request_gather)
 !$OMP BARRIER
 
@@ -1801,16 +1801,16 @@
 !$OMP BARRIER
 !$OMP MASTER     
-     call get_current_distrib(distrib_swap)
-     call set_Distrib(distrib_gather)
+     CALL get_current_distrib(distrib_swap)
+     CALL set_Distrib(distrib_gather)
 !$OMP END MASTER
 !$OMP BARRIER
  
-     call register_SwapField(field_glo,field_glo,ip1jmp1,ll,distrib_swap%jj_nb_para,request_gather)
-     call SendRequest(request_gather)
+     CALL register_SwapField(field_glo,field_glo,ip1jmp1,ll,distrib_swap%jj_nb_para,request_gather)
+     CALL SendRequest(request_gather)
 !$OMP BARRIER
-     call WaitRequest(request_gather)       
+     CALL WaitRequest(request_gather)
 !$OMP BARRIER
 !$OMP MASTER     
-     call set_Distrib(distrib_swap)
+     CALL set_Distrib(distrib_swap)
 !$OMP END MASTER
 !$OMP BARRIER
@@ -1836,15 +1836,15 @@
 !$OMP BARRIER
 !$OMP MASTER     
-     call get_current_distrib(distrib_swap)
-     call set_Distrib(distrib_gather)
+     CALL get_current_distrib(distrib_swap)
+     CALL set_Distrib(distrib_gather)
 !$OMP END MASTER
 !$OMP BARRIER
-     call register_SwapField(field_glo,field_glo,ip1jm,ll,distrib_swap%jj_nb_para,request_gather)
-     call SendRequest(request_gather)
+     CALL register_SwapField(field_glo,field_glo,ip1jm,ll,distrib_swap%jj_nb_para,request_gather)
+     CALL SendRequest(request_gather)
 !$OMP BARRIER
-     call WaitRequest(request_gather)       
+     CALL WaitRequest(request_gather)
 !$OMP BARRIER
 !$OMP MASTER
-     call set_Distrib(distrib_swap)
+     CALL set_Distrib(distrib_swap)
 !$OMP END MASTER
 !$OMP BARRIER
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/nxgraro2_loc.F	(revision 5101)
@@ -58,8 +58,8 @@
 
 c$OMP BARRIER
-       call Register_Hallo_u(grx,llm,0,1,1,0,Request_dissip)
-       call SendRequest(Request_dissip)
+       CALL Register_Hallo_u(grx,llm,0,1,1,0,Request_dissip)
+       CALL SendRequest(Request_dissip)
 c$OMP BARRIER
-       call WaitRequest(Request_dissip)
+       CALL WaitRequest(Request_dissip)
 c$OMP BARRIER
 
@@ -76,15 +76,15 @@
 c
       CALL     rotatf_loc ( klevel, grx, gry, rot )
-c      call write_field3d_p('rot1',reshape(rot,(/iip1,jjm,llm/)))
+c      CALL write_field3d_p('rot1',reshape(rot,(/iip1,jjm,llm/)))
 
 c$OMP BARRIER
-       call Register_Hallo_v(rot,llm,1,1,1,1,Request_dissip)
-       call SendRequest(Request_dissip)
+       CALL Register_Hallo_v(rot,llm,1,1,1,1,Request_dissip)
+       CALL SendRequest(Request_dissip)
 c$OMP BARRIER
-       call WaitRequest(Request_dissip)
+       CALL WaitRequest(Request_dissip)
 c$OMP BARRIER
       
       CALL laplacien_rot_loc ( klevel, rot, rot,grx,gry      )
-c       call write_field3d_p('rot2',reshape(rot,(/iip1,jjm,llm/)))
+c       CALL write_field3d_p('rot2',reshape(rot,(/iip1,jjm,llm/)))
 c
 c    .....   Iteration de l'operateur laplacien_rotgam  .....
@@ -92,8 +92,8 @@
       DO  iter = 1, lr -2
 c$OMP BARRIER
-       call Register_Hallo_v(rot,llm,1,1,1,1,Request_dissip)
-       call SendRequest(Request_dissip)
+       CALL Register_Hallo_v(rot,llm,1,1,1,1,Request_dissip)
+       CALL SendRequest(Request_dissip)
 c$OMP BARRIER
-       call WaitRequest(Request_dissip)
+       CALL WaitRequest(Request_dissip)
 c$OMP BARRIER
 
@@ -101,5 +101,5 @@
       ENDDO
       
-c       call write_field3d_p('rot3',reshape(rot,(/iip1,jjm,llm/)))
+c       CALL write_field3d_p('rot3',reshape(rot,(/iip1,jjm,llm/)))
       
 c
@@ -112,8 +112,8 @@
      &                klevel, 2,1, .FALSE.,1)
 c$OMP BARRIER
-       call Register_Hallo_v(rot,llm,1,0,0,1,Request_dissip)
-       call SendRequest(Request_dissip)
+       CALL Register_Hallo_v(rot,llm,1,0,0,1,Request_dissip)
+       CALL SendRequest(Request_dissip)
 c$OMP BARRIER
-       call WaitRequest(Request_dissip)
+       CALL WaitRequest(Request_dissip)
 c$OMP BARRIER
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/parallel_lmdz.F90	(revision 5101)
@@ -4,5 +4,5 @@
   MODULE parallel_lmdz
   USE mod_const_mpi
-  USE lmdz_mpi, ONLY : using_mpi
+  USE lmdz_mpi, ONLY: using_mpi
 #ifdef CPP_IOIPSL
       use IOIPSL
@@ -115,9 +115,9 @@
 #endif
       
-      call InitVampir
+      CALL InitVampir
       
       IF (using_mpi) THEN
-        call MPI_COMM_SIZE(COMM_LMDZ,mpi_size,ierr)
-        call MPI_COMM_RANK(COMM_LMDZ,mpi_rank,ierr)
+        CALL MPI_COMM_SIZE(COMM_LMDZ,mpi_size,ierr)
+        CALL MPI_COMM_RANK(COMM_LMDZ,mpi_rank,ierr)
       ELSE
         mpi_size=1
@@ -150,5 +150,5 @@
          write(lunout,*)" ---> diminuez le nombre de CPU ou augmentez la taille en lattitude"
           
-          IF (using_mpi) call MPI_ABORT(COMM_LMDZ,-1, ierr)
+          IF (using_mpi) CALL MPI_ABORT(COMM_LMDZ,-1, ierr)
 
         endif
@@ -395,5 +395,5 @@
 #endif
 ! Ehouarn: surface_data module is in 'phylmd' ...
-      use surface_data, only : type_ocean
+      use surface_data, ONLY: type_ocean
       implicit none
 #else
@@ -423,11 +423,11 @@
           ENDIF
         ELSE
-           call prism_terminate_proto(ierr)
+           CALL prism_terminate_proto(ierr)
            IF (ierr .ne. PRISM_Ok) THEN
-              call abort_gcm('Finalize_parallel',' Probleme dans prism_terminate_proto ',1)
+              CALL abort_gcm('Finalize_parallel',' Probleme dans prism_terminate_proto ',1)
            endif
         ENDIF
 #else
-        call abort_gcm('Finalize_parallel','type_ocean = couple but CPP_COUPLE not defined',1)
+        CALL abort_gcm('Finalize_parallel','type_ocean = couple but CPP_COUPLE not defined',1)
 #endif 
       else
@@ -436,5 +436,5 @@
           CALL wxios_close()
         ENDIF
-        IF (using_mpi) call MPI_FINALIZE(ierr)
+        IF (using_mpi) CALL MPI_FINALIZE(ierr)
       end if
       
@@ -526,5 +526,5 @@
         CALL barrier
       
-        call VTb(VThallo)
+        CALL VTb(VThallo)
       
         SendUp=.TRUE.
@@ -559,7 +559,7 @@
           buffer_size=down*iip1*ll
           allocate(Buffer_Send_up(Buffer_size))
-          call PACK_Data(Field(ij_begin,1),ij,ll,down,Buffer_Send_up)
+          CALL PACK_Data(Field(ij_begin,1),ij,ll,down,Buffer_Send_up)
 !$OMP CRITICAL (MPI)
-          call MPI_ISEND(Buffer_send_up,Buffer_Size,MPI_REAL8,MPI_Rank-1,1,     &
+          CALL MPI_ISEND(Buffer_send_up,Buffer_Size,MPI_REAL8,MPI_Rank-1,1,     &
                           COMM_LMDZ,Request(NbRequest),ierr)
 !$OMP END CRITICAL (MPI)
@@ -571,8 +571,8 @@
           buffer_size=up*iip1*ll
           allocate(Buffer_Send_down(Buffer_size))
-          call PACK_Data(Field(ij_end+1-up*iip1,1),ij,ll,up,Buffer_send_down)
+          CALL PACK_Data(Field(ij_end+1-up*iip1,1),ij,ll,up,Buffer_send_down)
         
 !$OMP CRITICAL (MPI)
-          call MPI_ISEND(Buffer_send_down,Buffer_Size,MPI_REAL8,MPI_Rank+1,1,     &
+          CALL MPI_ISEND(Buffer_send_down,Buffer_Size,MPI_REAL8,MPI_Rank+1,1,     &
                           COMM_LMDZ,Request(NbRequest),ierr)
 !$OMP END CRITICAL (MPI)
@@ -586,5 +586,5 @@
               
 !$OMP CRITICAL (MPI)
-          call MPI_IRECV(Buffer_recv_up,Buffer_size,MPI_REAL8,MPI_Rank-1,1,  &
+          CALL MPI_IRECV(Buffer_recv_up,Buffer_size,MPI_REAL8,MPI_Rank-1,1,  &
                           COMM_LMDZ,Request(NbRequest),ierr)
 !$OMP END CRITICAL (MPI)
@@ -599,5 +599,5 @@
         
 !$OMP CRITICAL (MPI)
-          call MPI_IRECV(Buffer_recv_down,Buffer_size,MPI_REAL8,MPI_Rank+1,1,     &
+          CALL MPI_IRECV(Buffer_recv_down,Buffer_size,MPI_REAL8,MPI_Rank+1,1,     &
                           COMM_LMDZ,Request(NbRequest),ierr)
 !$OMP END CRITICAL (MPI)
@@ -605,10 +605,10 @@
         ENDIF
   
-        if (NbRequest > 0) call MPI_WAITALL(NbRequest,Request,Status,ierr)
-        IF (RecvUp)  call Unpack_Data(Field(ij_begin-up*iip1,1),ij,ll,up,Buffer_Recv_up)
-        IF (RecvDown) call Unpack_Data(Field(ij_end+1,1),ij,ll,down,Buffer_Recv_down)  
-
-        call VTe(VThallo)
-        call barrier
+        if (NbRequest > 0) CALL MPI_WAITALL(NbRequest,Request,Status,ierr)
+        IF (RecvUp)  CALL Unpack_Data(Field(ij_begin-up*iip1,1),ij,ll,up,Buffer_Recv_up)
+        IF (RecvDown) CALL Unpack_Data(Field(ij_end+1,1),ij,ll,down,Buffer_Recv_down)
+
+        CALL VTe(VThallo)
+        CALL barrier
       
       ENDIF  ! using_mpi
@@ -637,8 +637,8 @@
         if (ij==ip1jmp1) then 
            allocate(Buffer_send(iip1*ll*(jj_end-jj_begin+1)))
-           call Pack_Data(Field(ij_begin,1),ij,ll,jj_end-jj_begin+1,Buffer_send)
+           CALL Pack_Data(Field(ij_begin,1),ij,ll,jj_end-jj_begin+1,Buffer_send)
         else if (ij==ip1jm) then
            allocate(Buffer_send(iip1*ll*(min(jj_end,jjm)-jj_begin+1)))
-           call Pack_Data(Field(ij_begin,1),ij,ll,min(jj_end,jjm)-jj_begin+1,Buffer_send)
+           CALL Pack_Data(Field(ij_begin,1),ij,ll,min(jj_end,jjm)-jj_begin+1,Buffer_send)
         else
            write(lunout,*)ij  
@@ -669,5 +669,5 @@
           
         else
-          ! Ehouarn: When in debug mode, ifort complains (for call MPI_GATHERV
+          ! Ehouarn: When in debug mode, ifort complains (for CALL MPI_GATHERV
           !          below) about Buffer_Recv() being not allocated.
           !          So make a dummy allocation.
@@ -676,5 +676,5 @@
   
 !$OMP CRITICAL (MPI)
-        call MPI_GATHERV(Buffer_send,(min(ij_end,ij)-ij_begin+1)*ll,MPI_REAL8,   &
+        CALL MPI_GATHERV(Buffer_send,(min(ij_end,ij)-ij_begin+1)*ll,MPI_REAL8,   &
                           Buffer_Recv,Recv_count,displ,MPI_REAL8,rank,COMM_LMDZ,ierr)
 !$OMP END CRITICAL (MPI)
@@ -684,10 +684,10 @@
           if (ij==ip1jmp1) then 
             do i=0,MPI_Size-1
-              call Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                 &
+              CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                 &
                                jj_end_para(i)-jj_begin_para(i)+1,Buffer_Recv(displ(i)+1))
             enddo
           else if (ij==ip1jm) then
             do i=0,MPI_Size-1
-               call Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                       &
+               CALL Unpack_Data(Field((jj_begin_para(i)-1)*iip1+1,1),ij,ll,                       &
                                min(jj_end_para(i),jjm)-jj_begin_para(i)+1,Buffer_Recv(displ(i)+1))
             enddo
@@ -709,7 +709,7 @@
       
       IF (using_mpi) THEN
-        call Gather_Field(Field,ij,ll,0)
+        CALL Gather_Field(Field,ij,ll,0)
 !$OMP CRITICAL (MPI)
-      call MPI_BCAST(Field,ij*ll,MPI_REAL8,0,COMM_LMDZ,ierr)
+      CALL MPI_BCAST(Field,ij*ll,MPI_REAL8,0,COMM_LMDZ,ierr)
 !$OMP END CRITICAL (MPI)
       ENDIF
@@ -730,5 +730,5 @@
       
 !$OMP CRITICAL (MPI)
-      call MPI_BCAST(Field,ij*ll,MPI_REAL8,rank,COMM_LMDZ,ierr)
+      CALL MPI_BCAST(Field,ij*ll,MPI_REAL8,rank,COMM_LMDZ,ierr)
 !$OMP END CRITICAL (MPI)
       
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/qminimum_loc.F	(revision 5101)
@@ -67,5 +67,5 @@
 c
 
-      call check_isotopes(q,ij_begin,ij_end,'qminimum 52')   
+      CALL check_isotopes(q,ij_begin,ij_end,'qminimum 52')
 
       ijb=ij_begin
@@ -187,5 +187,5 @@
      :                   q_follow(i,:,1)
                 write(lunout,*) 'k=',k
-                call abort_gcm("qminimum","not enough vapor",1)
+                CALL abort_gcm("qminimum","not enough vapor",1)
               endif  
             do ixt=1,ntiso
@@ -254,5 +254,5 @@
         enddo !do k=2,llm
 
-        call check_isotopes(q,ijb,ije,'qminimum 168')
+        CALL check_isotopes(q,ijb,ije,'qminimum 168')
         
       
@@ -283,5 +283,5 @@
        enddo !do k=2,llm  
 
-       call check_isotopes(q,ijb,ije,'qminimum 197')
+       CALL check_isotopes(q,ijb,ije,'qminimum 197')
 
       endif !if (niso > 0) then
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/temps_mod.F90	(revision 5101)
@@ -30,5 +30,5 @@
 !WARNING: when adding a threadprivate variable in this module
 !        do not forget to add it to the copyin clause when opening an OpenMP
-!        parallel section. e.g. in gcm before call leapfrog_loc and/or
+!        parallel section. e.g. in gcm before CALL leapfrog_loc and/or
 !        possibly in iniphysiq
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/times.F90	(revision 5101)
@@ -61,5 +61,5 @@
       
       timer_running(no_timer)=0
-      call cpu_time(last_time(no_timer))
+      CALL cpu_time(last_time(no_timer))
     
     endif
@@ -79,5 +79,5 @@
     
       timer_running(no_timer)=timer_running(no_timer)-last_time(no_timer)
-      call cpu_time(last_time(no_timer))
+      CALL cpu_time(last_time(no_timer))
       timer_running(no_timer)=timer_running(no_timer)+last_time(no_timer)
     endif
@@ -95,5 +95,5 @@
       endif
       
-      call cpu_time(last_time(no_timer))
+      CALL cpu_time(last_time(no_timer))
     endif
     
@@ -116,5 +116,5 @@
     
       timer_running(no_timer)=timer_running(no_timer)-last_time(no_timer)
-      call cpu_time(last_time(no_timer))
+      CALL cpu_time(last_time(no_timer))
       timer_running(no_timer)=timer_running(no_timer)+last_time(no_timer)
     
@@ -154,7 +154,7 @@
     
       tmp_table(:,:)=timer_table(:,:,mpi_rank)
-      call mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_table(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
+      CALL mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_table(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
       tmp_table(:,:)=timer_table_sqr(:,:,mpi_rank)
-      call mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_table_sqr(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
+      CALL mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_table_sqr(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
       deallocate(tmp_table)
     
@@ -185,9 +185,9 @@
 
       tmp_table(:,:)=timer_average(:,:,mpi_rank)
-      call mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_average(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
+      CALL mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_average(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
       tmp_table(:,:)=timer_delta(:,:,mpi_rank)
-      call mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_delta(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
+      CALL mpi_allgather(tmp_table(1,1),data_size,MPI_REAL_LMDZ,timer_delta(1,1,0),data_size,MPI_REAL_LMDZ,COMM_LMDZ,ierr)
       tmp_iter(:,:)=timer_iteration(:,:,mpi_rank)
-      call mpi_allgather(tmp_iter(1,1),data_size,MPI_INTEGER,timer_iteration(1,1,0),data_size,MPI_INTEGER,COMM_LMDZ,ierr)
+      CALL mpi_allgather(tmp_iter(1,1),data_size,MPI_INTEGER,timer_iteration(1,1,0),data_size,MPI_INTEGER,COMM_LMDZ,ierr)
       deallocate(tmp_table)
     
@@ -203,6 +203,6 @@
     AllTimer_IsActive=.TRUE.
     if (AllTimer_IsActive) then
-      call system_clock(count,count_rate,count_max)
-      call cpu_time(Last_cpuCount)
+      CALL system_clock(count,count_rate,count_max)
+      CALL cpu_time(Last_cpuCount)
       Last_Count=count
     endif
@@ -214,5 +214,5 @@
     integer :: count,count_rate,count_max
   
-    call system_clock(count,count_rate,count_max)
+    CALL system_clock(count,count_rate,count_max)
     if (Count>=Last_Count) then
       DiffTime=(1.*(Count-last_Count))/count_rate
@@ -228,5 +228,5 @@
     real :: Count
     
-    call cpu_time(Count)
+    CALL cpu_time(Count)
     DiffCpuTime=Count-Last_cpuCount
     Last_cpuCount=Count 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5100)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlsplt_loc.F	(revision 5101)
@@ -14,5 +14,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
       IMPLICIT NONE
@@ -327,5 +327,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
+        CALL vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
       enddo
 ! end CRisi
@@ -390,5 +390,5 @@
 c   --------------------------------------------------------------------
       USE parallel_lmdz
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
       USE comconst_mod, ONLY: pi
@@ -737,5 +737,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vly_loc(Ratio,pente_max,masse,qbyv,iq2)
+        CALL vly_loc(Ratio,pente_max,masse,qbyv,iq2)
       enddo
 ! end CRisi
@@ -858,5 +858,5 @@
       USE parallel_lmdz
       USE vlz_mod
-      USE infotrac, ONLY : nqtot,tracers, ! CRisi                 &
+      USE infotrac, ONLY: nqtot,tracers, ! CRisi                 &
      &                     min_qParent,min_qMass,min_ratio ! MVals et CRisi
 
@@ -1059,5 +1059,5 @@
              ! pour seg fault
              if (lorig(ij,l)==0) then
-                call abort_gcm("vlz in vlsplt_loc",
+                CALL abort_gcm("vlz in vlsplt_loc",
      :           "unfixable violation of CFL",1)
              endif
@@ -1125,5 +1125,5 @@
       do ifils=1,tracers(iq)%nqChildren
         iq2=tracers(iq)%iqDescen(ifils)
-        call vlz_loc(Ratio,pente_max,masse,w,ijb_x,ije_x,iq2)
+        CALL vlz_loc(Ratio,pente_max,masse,w,ijb_x,ije_x,iq2)
       enddo
 ! end CRisi
